NX Open C++ Reference Guide
|
Represents a @link Positioning::ComponentConstraintGroupBuilder Positioning::ComponentConstraintGroupBuilder@endlink builder <br> To create a new instance of this class, use @link Assemblies::ComponentAssembly::CreateConstraintGroupBuilder Assemblies::ComponentAssembly::CreateConstraintGroupBuilder @endlink <br>
Default values. More...
Public Member Functions | |
NXOpen::Positioning::ComponentConstraintGroup::ConstraintsCollectionType | ConstraintCollectionType () |
Returns the constraint collection types Created in NX8.0.1. | |
NXString | ConstraintGroupName () |
Returns the name of constraint group Created in NX8.0.1. | |
NXOpen::Assemblies::Component * | GetContextComponent () |
Gets the context component which is used to decide the displayed constraints that can be in the selected constraints list. | |
bool | RememberComponentState () |
Returns the toggle to remember selected component Created in NX8.0.1. | |
NXOpen::SelectDisplayableObjectList * | SelectedComponentList () |
Returns the selected components list Created in NX8.0.1. | |
NXOpen::SelectDisplayableObjectList * | SelectedConstraintsList () |
Returns the selected constraint list Created in NX8.0.1. | |
void | SetConstraintCollectionType (NXOpen::Positioning::ComponentConstraintGroup::ConstraintsCollectionType constraintCollectionType) |
Sets the constraint collection types Created in NX8.0.1. | |
void | SetConstraintGroupName (const NXString &nameOfConstraintGroup) |
Sets the name of constraint group Created in NX8.0.1. | |
void | SetConstraintGroupName (const char *nameOfConstraintGroup) |
Sets the name of constraint group Created in NX8.0.1. | |
void | SetRememberComponentState (bool rememberComponentState) |
Sets the toggle to remember selected component Created in NX8.0.1. | |
![]() | |
NXOpen::NXObject * | Commit () |
Commits any edits that have been applied to the builder. | |
void | Destroy () |
Deletes the builder, and cleans up any objects created by the builder. | |
std::vector< NXOpen::NXObject * > | GetCommittedObjects () |
For builders that create more than one object, this method returns the objects that are created by commit. | |
NXOpen::NXObject * | GetObject () |
Returns the object currently being edited by this builder. | |
void | ShowResults () |
Updates the model to reflect the result of an edit to the model for all builders that support showing results. | |
virtual bool | Validate () |
Validate whether the inputs to the component are sufficient for commit to be called. | |
![]() | |
tag_t | GetTag () const |
<b>Deprecated</b>:<br> Use Tag instead. | |
tag_t | Tag () const |
Returns the tag of this object. | |
Represents a @link Positioning::ComponentConstraintGroupBuilder Positioning::ComponentConstraintGroupBuilder@endlink builder <br> To create a new instance of this class, use @link Assemblies::ComponentAssembly::CreateConstraintGroupBuilder Assemblies::ComponentAssembly::CreateConstraintGroupBuilder @endlink <br>
Default values.
Property | Value |
---|---|
ConstraintCollectionType |
BetweenSelectedComponents |
RememberComponentState |
true |
Created in NX8.0.1.
NXOpen::Positioning::ComponentConstraintGroup::ConstraintsCollectionType NXOpen::Positioning::ComponentConstraintGroupBuilder::ConstraintCollectionType | ( | ) |
Returns the constraint collection types
Created in NX8.0.1.
License requirements : assemblies ("ASSEMBLIES MODULE")
NXString NXOpen::Positioning::ComponentConstraintGroupBuilder::ConstraintGroupName | ( | ) |
Returns the name of constraint group
Created in NX8.0.1.
License requirements : assemblies ("ASSEMBLIES MODULE")
NXOpen::Assemblies::Component* NXOpen::Positioning::ComponentConstraintGroupBuilder::GetContextComponent | ( | ) |
Gets the context component which is used to decide the displayed constraints that can be in the selected constraints list.
The context component is only set by the creator and can be NULL. If the context component is NULL the displayed constraints will be in same part as the constraint group.
bool NXOpen::Positioning::ComponentConstraintGroupBuilder::RememberComponentState | ( | ) |
Returns the toggle to remember selected component
Created in NX8.0.1.
License requirements : assemblies ("ASSEMBLIES MODULE")
NXOpen::SelectDisplayableObjectList* NXOpen::Positioning::ComponentConstraintGroupBuilder::SelectedComponentList | ( | ) |
Returns the selected components list
Created in NX8.0.1.
License requirements : assemblies ("ASSEMBLIES MODULE")
NXOpen::SelectDisplayableObjectList* NXOpen::Positioning::ComponentConstraintGroupBuilder::SelectedConstraintsList | ( | ) |
Returns the selected constraint list
Created in NX8.0.1.
License requirements : assemblies ("ASSEMBLIES MODULE")
void NXOpen::Positioning::ComponentConstraintGroupBuilder::SetConstraintCollectionType | ( | NXOpen::Positioning::ComponentConstraintGroup::ConstraintsCollectionType | constraintCollectionType | ) |
Sets the constraint collection types
Created in NX8.0.1.
License requirements : assemblies ("ASSEMBLIES MODULE")
constraintCollectionType | constraintcollectiontype |
void NXOpen::Positioning::ComponentConstraintGroupBuilder::SetConstraintGroupName | ( | const NXString & | nameOfConstraintGroup | ) |
Sets the name of constraint group
Created in NX8.0.1.
License requirements : assemblies ("ASSEMBLIES MODULE")
nameOfConstraintGroup | nameofconstraintgroup |
void NXOpen::Positioning::ComponentConstraintGroupBuilder::SetConstraintGroupName | ( | const char * | nameOfConstraintGroup | ) |
Sets the name of constraint group
Created in NX8.0.1.
License requirements : assemblies ("ASSEMBLIES MODULE")
nameOfConstraintGroup | nameofconstraintgroup |
void NXOpen::Positioning::ComponentConstraintGroupBuilder::SetRememberComponentState | ( | bool | rememberComponentState | ) |
Sets the toggle to remember selected component
Created in NX8.0.1.
License requirements : assemblies ("ASSEMBLIES MODULE")
rememberComponentState | remembercomponentstate |